EDIT - bug #5193

Changing the name of a taxon does not refresh the taxon navigator
09/06/2015 03:17 PM - Andreas Mdller

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: major Found in Version:

Description

What | did:

e Open an existing taxon (1 of 3 root taxa of a classification)

Change the name of the taxon via name editor (parser) from Abies abd to Abies abde

Saved taxon

Result: name was correctly shown at all places (tab of name editor, details view labels, etc.) but not in taxon navigator
¢ Using refresh function of navigator also did not change anything.

¢ Even closing and reopening navigator did not change anything

| used the standalone version.

Related issues:
Related to EDIT - feature request #2380: TaxonNavigator should work with DTO ... Closed

History

#1 - 09/06/2015 03:23 PM - Andreas Miuller

| forgot to mention that the taxon was a reused taxon, so it was used by 2 taxon nodes. Maybe this is important for the described behavior.

#2 - 04/27/2018 10:41 AM - Katja Luther
- Description updated
- Status changed from New to Worksforme

- Target version changed from Unassigned CDM tickets to Release 5.0

In v4.15 this works now, after saving the navigator is up to date.

#3 - 05/17/2018 12:27 PM - Andreas Miller

- Related to feature request #2380: TaxonNavigator should work with DTO objects instead of full blown cdm instances added

#4 - 05/17/2018 12:27 PM - Andreas Miller
- % Done changed from 0 to 100

- Private changed from Yes to No
